summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-07-11 09:54:59 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-07-11 09:56:25 +0200
commitd7c766c47ac7501382f7063ab8cc3598f23d0733 (patch)
treeef782cad2e166c89a133a0afa37f9ad5af60baa1
parentmedia-libs/avidemux-plugins: Add sub-slot dependency on fdk-aac (diff)
downloadgentoo-d7c766c47ac7501382f7063ab8cc3598f23d0733.tar.gz
gentoo-d7c766c47ac7501382f7063ab8cc3598f23d0733.tar.bz2
gentoo-d7c766c47ac7501382f7063ab8cc3598f23d0733.zip
media-libs/libwebp: Bump to version 1.0.3_rc1
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--media-libs/libwebp/Manifest1
-rw-r--r--media-libs/libwebp/libwebp-1.0.3_rc1.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/media-libs/libwebp/Manifest b/media-libs/libwebp/Manifest
index 9a101c97ffa..d3ef0b041a8 100644
--- a/media-libs/libwebp/Manifest
+++ b/media-libs/libwebp/Manifest
@@ -3,3 +3,4 @@ DIST libwebp-0.6.1.tar.gz 3990217 BLAKE2B 680dcc56bd10797e93d09dc64ed04fd2ffb0b8
DIST libwebp-1.0.0.tar.gz 4023549 BLAKE2B 10286182ddc1f3561d01edf095ba8921b932b950175c45bbc86400318f9a88237c7623b0bcdd0dfecea6efb085e84e029c82a61396cb784d778d59902353d2b4 SHA512 2af7036957722a3f1533fa2da0da15c76d7eb8ac98ec4ad5cf71dd4262f3d7c9897fb6b50befab83b7de22f0abceeb2c0ff52d60927513d40f8a41aa6a9abd99
DIST libwebp-1.0.1.tar.gz 4030276 BLAKE2B 4ea3b31bac14c61fbedad14ed675adb4cc0deaed83f8c58f8d589ab2453a8cff33d7832acba39c673aa31cbb3d5c6b487151173d162f92a3698115833b03b694 SHA512 44e0c278b4569c03c39a1e047bccd7b4270bda12feae0dadc54f8a61fd6a66be011229f1e7e853f64749bcd9ea9e8146989e2b632459b67a4aaea4a8033a1361
DIST libwebp-1.0.2.tar.gz 4036397 BLAKE2B 708c1083f62bdb3526f8319d9b6ce1e8aeba2bc785105ff7db07c9c7041311cedcfff000de5b8fd8e93550fc86ec149f6dd4a21f576709b80cb6a4b20ddd2863 SHA512 e095b8fdf0096395daf12892b3b74c472868e727f23640ba7aa5922a5a028b778a6a60d8a94f696f6c0ca49577dfc9a0b599ecb74ad831ade48c6db812b71d2e
+DIST libwebp-1.0.3-rc1.tar.gz 4042184 BLAKE2B a37e739c013149cbb4b27d8cf8c16053752eeb8218b5fcf8e47919b14bcb8bda43fae45291232696673d1cc93202f8e0c920f1c5516ceebe1f74c61acdcb6cee SHA512 adaee8d44f2a006c1fddee5dba932a8cd1279024c4b1e19d1ba94f337a7e7db3d6fef70cea9bef227248f2cd4ea9fbc5cd4e534ef2bb93d31dc53e7ef090cd4d
diff --git a/media-libs/libwebp/libwebp-1.0.3_rc1.ebuild b/media-libs/libwebp/libwebp-1.0.3_rc1.ebuild
new file mode 100644
index 00000000000..87c3f659333
--- /dev/null
+++ b/media-libs/libwebp/libwebp-1.0.3_rc1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools libtool multilib-minimal
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="A lossy image compression format"
+HOMEPAGE="https://developers.google.com/speed/webp/download"
+SRC_URI="http://downloads.webmproject.org/releases/webp/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/7" # subslot = libwebp soname version
+[[ "${PV}" = *_rc* ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 gif +jpeg neon opengl +png static-libs swap-16bit-csp tiff"
+
+# TODO: dev-lang/swig bindings in swig/ subdirectory
+RDEPEND="gif? ( media-libs/giflib:= )
+ jpeg? ( virtual/jpeg:0= )
+ opengl? (
+ media-libs/freeglut
+ virtual/opengl
+ )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0= )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+
+ # Fix libtool relinking, bug 499270.
+ #elibtoolize
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local args=(
+ --enable-libwebpmux
+ --enable-libwebpdemux
+ --enable-libwebpdecoder
+ $(use_enable static-libs static)
+ $(use_enable swap-16bit-csp)
+ $(use_enable jpeg)
+ $(use_enable png)
+ $(use_enable opengl gl)
+ $(use_enable tiff)
+
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable cpu_flags_x86_sse4_1 sse4.1)
+ $(use_enable neon)
+
+ # Only used for gif2webp binary wrt #486646
+ $(multilib_native_use_enable gif)
+ )
+
+ ECONF_SOURCE="${S}" econf "${args[@]}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f -name "*.la" -delete || die
+ dodoc AUTHORS ChangeLog doc/*.txt NEWS README{,.mux}
+}